## Package org.ascape.query.parser

Interface Summary
BoolExprTreeConstants
BoolExprTreeTreeConstants
Node

Class Summary
BoolExprTree
BoolExprTreeTokenManager
QTBooleanAnd
QTBooleanOr
QTBooleanPhrase
QTComparisonOperator
QTContains
QTCriteria
QTCriteriaSubNode
QTEqual
QTField
QTGreaterThan
QTInput
QTLessThan
QTNonQuotedString
QTNotEqual
QTNumberString
QTOperator
QTProperty
QTQuotedString
QTStartsWith
QTStringOperatorNode
QTStringOrNumberOperatorNode
QTSubExpression
QTValue
QTWildCard
SimpleCharStream: An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).
SimpleNode
Token: Describes the input token stream.

Exception Summary
ParseException: This exception is thrown when parse errors are encountered.

Error Summary
TokenMgrError